file_picker 2.0.8+1

Flutter Android iOS web

A package that allows you to use a native file explorer to pick single or multiple absolute file paths, with extension filtering support.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  file_picker: ^2.0.8+1

2. Install it

You can install packages from the command line:

with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:file_picker/file_picker.dart';
503
likes
110
pub points
99%
popularity

Publisher

miguelruivo.com

A package that allows you to use a native file explorer to pick single or multiple absolute file paths, with extension filtering support.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter, flutter_plugin_android_lifecycle, flutter_web_plugins, plugin_platform_interface

More

Packages that depend on file_picker